org.eclipse.viatra.query.runtime.matchers.util

## Class EclipseCollectionsLongSetMemory.SetWrapper

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.util.EclipseCollectionsLongSetMemory.SetWrapper

- All Implemented Interfaces:
    java.lang.Iterable<java.lang.Long>, java.util.Collection<java.lang.Long>, java.util.Set<java.lang.Long>
  Enclosing class:
    EclipseCollectionsLongSetMemory

      public static final class EclipseCollectionsLongSetMemory.SetWrapper
      extends java.lang.Object
      implements java.util.Set<java.lang.Long>

  Helper that presents a primitive collection as a Set view

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetWrapper(org.eclipse.collections.api.set.primitive.LongSet wrapped)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(java.lang.Long e)`
    `boolean` | `addAll(java.util.Collection<? extends java.lang.Long> c)`
    `void` | `clear()`
    `boolean` | `contains(java.lang.Object o)`
    `boolean` | `containsAll(java.util.Collection<?> c)`
    `boolean` | `isEmpty()`
    `java.util.Iterator<java.lang.Long>` | `iterator()`
    `boolean` | `remove(java.lang.Object o)`
    `boolean` | `removeAll(java.util.Collection<?> c)`
    `boolean` | `retainAll(java.util.Collection<?> c)`
    `int` | `size()`
    `java.lang.Object[]` | `toArray()`
    `<T> T[]` | `toArray(T[] a)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `equals, hashCode, spliterator`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### SetWrapper

          public SetWrapper(org.eclipse.collections.api.set.primitive.LongSet wrapped)

      Parameters:
        `wrapped` -

  - ### Method Detail

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection<java.lang.Long>`
      Specified by:
        `size` in interface `java.util.Set<java.lang.Long>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Collection<java.lang.Long>`
      Specified by:
        `isEmpty` in interface `java.util.Set<java.lang.Long>`

    - #### contains

          public boolean contains(java.lang.Object o)

      Specified by:
        `contains` in interface `java.util.Collection<java.lang.Long>`
      Specified by:
        `contains` in interface `java.util.Set<java.lang.Long>`

    - #### iterator

          public java.util.Iterator<java.lang.Long> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<java.lang.Long>`
      Specified by:
        `iterator` in interface `java.util.Collection<java.lang.Long>`
      Specified by:
        `iterator` in interface `java.util.Set<java.lang.Long>`

    - #### containsAll

          public boolean containsAll(java.util.Collection<?> c)

      Specified by:
        `containsAll` in interface `java.util.Collection<java.lang.Long>`
      Specified by:
        `containsAll` in interface `java.util.Set<java.lang.Long>`

    - #### toArray

          public java.lang.Object[] toArray()

      Specified by:
        `toArray` in interface `java.util.Collection<java.lang.Long>`
      Specified by:
        `toArray` in interface `java.util.Set<java.lang.Long>`

    - #### toArray

          public <T> T[] toArray(T[] a)

      Specified by:
        `toArray` in interface `java.util.Collection<java.lang.Long>`
      Specified by:
        `toArray` in interface `java.util.Set<java.lang.Long>`

    - #### add

          public boolean add(java.lang.Long e)

      Specified by:
        `add` in interface `java.util.Collection<java.lang.Long>`
      Specified by:
        `add` in interface `java.util.Set<java.lang.Long>`

    - #### remove

          public boolean remove(java.lang.Object o)

      Specified by:
        `remove` in interface `java.util.Collection<java.lang.Long>`
      Specified by:
        `remove` in interface `java.util.Set<java.lang.Long>`

    - #### addAll

          public boolean addAll(java.util.Collection<? extends java.lang.Long> c)

      Specified by:
        `addAll` in interface `java.util.Collection<java.lang.Long>`
      Specified by:
        `addAll` in interface `java.util.Set<java.lang.Long>`

    - #### retainAll

          public boolean retainAll(java.util.Collection<?> c)

      Specified by:
        `retainAll` in interface `java.util.Collection<java.lang.Long>`
      Specified by:
        `retainAll` in interface `java.util.Set<java.lang.Long>`

    - #### removeAll

          public boolean removeAll(java.util.Collection<?> c)

      Specified by:
        `removeAll` in interface `java.util.Collection<java.lang.Long>`
      Specified by:
        `removeAll` in interface `java.util.Set<java.lang.Long>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Collection<java.lang.Long>`
      Specified by:
        `clear` in interface `java.util.Set<java.lang.Long>`